Bug 268771 - Can't build project in simple remote mode with IPv6
Can't build project in simple remote mode with IPv6
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
8.2
All All
: P3 (vote)
: 8.2
Assigned To: Vladimir Kvashin
issues@cnd
82patch1-verified
:
Depends on:
Blocks: 268766
  Show dependency treegraph
 
Reported: 2016-11-01 16:16 UTC by Vladimir Kvashin
Modified: 2016-12-12 12:53 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2016-11-01 16:16:29 UTC
While investigating logs attached to the issue 268766 I understood that if a remote host uses IPv6, then simple remote (with both SFTP and AutoCopy transports) does not work; it throws the following exception:

SEVERE [org.openide.util.Exceptions]
java.io.IOException: El nombre de archivo, el nombre de directorio o la sintaxis de la etiqueta del volumen no son correctos
	at java.io.WinNTFileSystem.createFileExclusively(Native Method)
	at java.io.File.createNewFile(File.java:1012)
	at org.netbeans.modules.masterfs.filebasedfs.fileobjects.FolderObj.createData(FolderObj.java:406)
	at org.netbeans.modules.masterfs.filebasedfs.fileobjects.FolderObj.createDataImpl(FolderObj.java:349)
	at org.netbeans.modules.masterfs.filebasedfs.fileobjects.FolderObj$1.call(FolderObj.java:315)
	at org.netbeans.modules.masterfs.filebasedfs.fileobjects.FolderObj$1.call(FolderObj.java:313)
	at org.netbeans.modules.masterfs.filebasedfs.FileBasedFileSystem.runAsInconsistent(FileBasedFileSystem.java:122)
	at org.netbeans.modules.masterfs.filebasedfs.fileobjects.FolderObj.createData(FolderObj.java:318)
	at org.openide.filesystems.FileUtil.createData(FileUtil.java:788)
	at org.netbeans.modules.cnd.remote.sync.FileData.getDataFile(FileData.java:151)
	at org.netbeans.modules.cnd.remote.sync.FileData.load(FileData.java:244)
[catch] at org.netbeans.modules.cnd.remote.sync.FileData.<init>(FileData.java:139)
	at org.netbeans.modules.cnd.remote.sync.FileData.get(FileData.java:124)
	at org.netbeans.modules.cnd.remote.sync.FtpSyncWorker.synchronizeImpl(FtpSyncWorker.java:175)
	at org.netbeans.modules.cnd.remote.sync.FtpSyncWorker.startup(FtpSyncWorker.java:782)
	at org.netbeans.modules.cnd.remote.sync.RemoteBuildProjectActionHandler.execute(RemoteBuildProjectActionHandler.java:180)
	at org.netbeans.modules.cnd.makeproject.api.ProjectActionSupport$EventsProcessorImpl.run(ProjectActionSupport.java:558)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1443)
	at org.netbeans.modules.openide.util.GlobalLookup.execute(GlobalLookup.java:68)
	at org.openide.util.lookup.Lookups.executeWith(Lookups.java:303)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:2058)
Comment 1 Vladimir Kvashin 2016-11-01 16:17:50 UTC
I forgot to transplate the message. It reads: "The file name, directory name or syntax of the volume label is incorrect". That's because host name that contains ":" is used as a file name.
Comment 2 Vladimir Kvashin 2016-11-02 15:26:52 UTC
Should be fixed in ac54f6f82d89 on enum/r82
Comment 3 Quality Engineering 2016-11-10 03:22:00 UTC
Integrated into 'main-silver', will be available in build *201611100001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/aa5d231bd988
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixed #268771 - Can't build project in simple remote mode with IPv6
(transplanted from ac54f6f82d89ee1591a1e65e8b1bfa3a012c3cea)
Comment 4 soldatov 2016-12-12 12:53:14 UTC
On local machine I can use 'fe80::XXXX:XXXX:XXXX:XXXX' or 'fe80::XXXX:XXXX:XXXX:XXXX%eno1' name. In both cases I can create and build project.
Verified in internal NetBeans 8,2 patch 1 build.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo